/* Pelda 03/03 */

/**
 * Harom oldalhosszbol haromszog tipusanak a meghatarozasa.
 *
 * @author Kiss Akos
 */
public class Haromszog {

    /**
     * Foprogram.
     */
    public static void main(String[] args) {
	// args tomb tarolja a parancssori parametereket
	// a tomb nem tarolja a program nevet!
	// a length mezo tarolja a meretet
	if (args.length != 3) {
	    System.out.println("harom parancssori parametert varok!");
	    System.exit(1);
	}
	
	// igy alakitunk String-et int-te
	// valtozot nem csak a metodus elejen deklaralhatunk!
	int a = Integer.parseInt(args[0]);
	int b = Integer.parseInt(args[1]);
	int c = Integer.parseInt(args[2]);
	
	// legyen a>=b,c
	if (a < b) {
	    int temp = a;
	    a = b;
	    b = temp;
	}
	if (a < c) {
	    int temp = a;
	    a = c;
	    c = temp;
	}
	
	// osztalyozas
	if ((a <= 0) || (b <= 0) || (c <= 0))
	    System.out.println("Nem haromszog!");
	else if (a >= b + c)
	    System.out.println("Nem haromszog!");
	else if ((a == b) && (b == c))
	    System.out.println("Szabalyos haromszog");
	else if ((a == b) || (b == c) || (c == a)) {
	    if (a*a == b*b + c*c)
		System.out.println("Egyenlo szaru derekszogu haromszog");
	    else
		System.out.println("Egyenlo szaru haromszog");
	}
	else if (a*a == b*b + c*c)
	    System.out.println("Derekszogu haromszog");
	else
	    System.out.println("Egyeb haromszog");
    }

}
