/* Pelda 05/03 */

package hu.u_szeged.inf;


/**
 * Segedosztaly, amely sokszor hasznalt fuggvenyeket tartalmaz(hat). Az
 * osztaly NEM publikus, tehat csak az ugyanebben a csomagban deklaralt
 * osztalyok latjak.
 *
 * @author Akos Kiss
 */
class Seged {

  /**
   * Kiszamolja ket szam maximumat. A metodus NEM publikus, igy csak
   * ugyanezen csomagbol lathato.
   *
   * @param a egyik valos szam.
   * @param b masik valos szam.
   * @return a ket parameter maximuma.
   */
  static double max(double a, double b) {
    return a < b ? b : a;
  }

}
