import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.util.Iterator;
import java.util.LinkedList;

import alk.Alkoholos;
import alk.AlkoholosItal;
import alk.ErjedtGyumolcs;
import alk.Gyumolcs;
import alk.Gyumolcsle;
import alk.Ital;
import alk.Palinka;

public class Futtat {

	public static void elfogyaszt(Object o){
		if (o instanceof Ital){
			System.out.print("Megittam egy " + o.toString());
			if (o instanceof AlkoholosItal){
				System.out.print(" egy kicsit becsiptem tole");
			}
		} else {
			System.out.print("Megettem egy " + o.toString());
			if (o instanceof Alkoholos){
				System.out.print(" kicsit fura ize volt");
			}
		}
		System.out.println(" Koszonom szepen!");
	}
	
	public static void main(String[] args) throws Exception {
		Gyumolcs gy = new Gyumolcs("szilva", "edes");
		//System.out.println(gy);
		
		Gyumolcsle gyl = new Gyumolcsle(gy);
		//System.out.println(gyl);
		
		ErjedtGyumolcs egy = new ErjedtGyumolcs("körte", "edes", 5.0);
		//System.out.println(egy);
		
		Palinka p = new Palinka(gy, 50.0);
		//System.out.println(p);
		
		//System.out.println();
		//elfogyaszt(p);
		
		Alkoholos a1 = new ErjedtGyumolcs("valami", "akarmi", 10.0);
		Alkoholos a2 = new Palinka(egy, 22.0);
		//elfogyaszt(a1);
		
		LinkedList<Alkoholos> l = new LinkedList<Alkoholos>();
		l.add(a1);
		l.add(a2);
		l.add(p);
		l.add(egy);
		
		System.out.println(l);
		
		System.out.println();
		Iterator<Alkoholos> it = l.iterator();
		while (it.hasNext()){
			System.out.println(it.next());
		}
		
		System.out.println();
		for (Alkoholos a : l){
			System.out.println(a);
		}
		
		try{
			int szam = Integer.parseInt("10");
			System.out.println(szam);
			szam = Integer.parseInt("hello");
			System.out.println(szam);
		} catch (NumberFormatException e){
			//.printStackTrace();
			System.out.println("valami hiba tortent");
		}
		
		System.out.println("utána");
		
		
		
		/*Alkoholos ax = (Alkoholos)Class.forName("alk.Palinka").newInstance();
		elfogyaszt(ax);
		*/
		try {
			valami(9);
		} catch (SajatKivetel e) {
			System.out.println("elkaptam");
			e.printStackTrace();
		} catch (Exception e){
			
		}
		
		
		PrintWriter pw = new PrintWriter(new FileWriter("fileNev", true));
		pw.println("helló");
		pw.close();
		
		
		
		BufferedReader br = new BufferedReader(new FileReader("fileNev"));
		String sor;
		while ((sor = br.readLine()) != null){
			System.out.println(sor);
		}
		br.close();
		
		BufferedReader br2 = new BufferedReader(new InputStreamReader(System.in));
		while (!(sor = br2.readLine()).equals("vege")){
			System.out.println(sor);
		}
		br2.close();
		
		
	}
	
	public static void bejar(File root){
		File[] list = root.listFiles();
		for (int i = 0; i < list.length; i++){
			if (list[i].isDirectory()){
				bejar(list[i]);
			} else {
				System.out.println(list[i].getName());
			}
		}
	}
	
	public static int valami(int x) throws SajatKivetel{
		if (x < 10){
			System.out.println("ok");
		} else {
			throw new SajatKivetel();
		}
		return 0;
	}

}
