/* Pelda 08/04 */

/**
 * Futatto program a Lista osztalyhoz.
 *
 * @author Akos Kiss
 */
public class LMain {
    public static void main(String[] args) {
	Lista l = new Lista();
	for (int i = 0; i < args.length; i++) {
	    try {
		int n = Integer.parseInt(args[i]); // wrapper osztaly int-hez
		l.beszur(new Integer(n));
	    }
	    catch (NumberFormatException e1) {
		try {
		    double n = Double.parseDouble(args[i]); // wrapper osztaly double-hoz
		    l.beszur(new Double(n));
		}
		catch (NumberFormatException e2) {
		    l.beszur(args[i]);
		}
	    }
	}
	System.out.println("Van-e benne 0.0? "+l.tartalmaz(new Double(0.0)));
    }
}